Target version: Spent time: 0.00 hour
Description

The goal is to rewrite the stuff in uppbox/Ipbuild to match current debian packaging standards.

History

#1 - 01/26/2012 09:58 PM - Jan Dolinar
- Assignee changed from Jan Dolinar to Miroslav Fidler

- % Done changed from 0 to 50

Mirek:

Could you please check the settings in Ipbuild2/lpbuild.sh and try to launch it within the nightly builds? The only requirement is that it must be launched
after the source tarball is built and $SRCDIR must point to the directory where the tarball can be found. The other settings should work fine with the values
| guessed. PM/IM me if in doubt...
How it works:

- First looks into $SRCDIR and finds tarball with highest version number.

- Checks whether this version packages were already built (exits in that case) or not.

- Copies the contents of tarball and some other necessary files into temporary directory

- Creates debian source packages for the five supported ubuntu distributions and immediately uploads them to launchpad.

Currently the uploads are set to go to my testing PPA, so regular users will not be affected at all. Once we have this running in the "testing mode", I'll

continue with the development to tweak all the errors that might arise, hopefully ending with something eligible for inclusion to official debian repos :)

#2 - 01/27/2012 10:51 AM - Miroslav Fidler

- Priority changed from Normal to Immediate

#3 - 01/30/2012 09:53 PM - Jan Dolinar

| changed the architecture slightly to allow better code reusing and to move configuration to separate file. The configuration is in nightly.cfg, each entry is

documented, so it should be no problem. The Ipbuild script now should be launched with the config file as parameter:

bash ~/upp.src/lpbuild2/Ipbuild.sh ~/upp.src/lpbuild2/nightly.cfg

Sorry for inconvenience Mirek, | thought I'll make the changes in time, before you get time to set it up...

#4 - 01/31/2012 08:16 PM - Miroslav Fidler
- Assignee changed from Miroslav Fidler to Jan Dolinar

Jan Dolinar wrote:
| changed the architecture slightly to allow better code reusing and to move configuration to separate file. The configuration is in nightly.cfg, each
entry is documented, so it should be no problem. The lpbuild script now should be launched with the config file as parameter:

bash ~/upp.src/lpbuild2/Ipbuild.sh ~/upp.src/lpbuild2/nightly.cfg

Sorry for inconvenience Mirek, | thought I'll make the changes in time, before you get time to set it up...

Scripts/all is writable for you...

#5 - 05/27/2012 12:00 PM - Jan Dolinar
- Status changed from In Progress to Ready for QA

#6 - 09/09/2012 09:34 AM - Miroslav Fidler
- Status changed from Ready for QA to Approved
